peopleAttributes=c(
    72, 1, 1, 1, 2, 1, #1  PT
    27, 1, 1, 1, 1, 1, #2  EM
    24, 1, 1, 1, 2, 1, #3  AZ
    26, 2, 1, 1, 2, 1, #4  UF
    22, 1, 2, 2, 2, 2, #5  EP
    25, 1, 2, 2, 2, 2, #6  CF
    22, 2, 2, 1, 2, 2, #7  KN
    38, 2, 1, 2, 2, 1, #8  DL
    24, 2, 1, 2, 2, 1, #9  SV
    26, 2, 2, 1, 2, 2, #10 MT
    25, 2, 1, 1, 2, 1, #11 LC
    23, 2, 1, 1, 2, 1, #12 DC
    24, 2, 1, 1, 2, 2, #13 AG
    26, 2, 1, 2, 2, 2, #14 AC
    23, 2, 1, 2, 2, 2, #15 CF
    28, 2, 1, 2, 2, 1, #16 LS
    24, 2, 1, 1, 2, 1, #17 AR
    22, 2, 1, 2, 2, 2, #18 LB
    23, 2, 1, 1, 2, 1) #19 PV

  
    

peopleId=c(
          1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
          0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
          0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
          0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
          0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,
          0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,
          0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,
          0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,
          0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,
          0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,
          0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,
          0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,
          0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,
          0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,
          0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,
          0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,
          0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,
          0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,
          0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1
          )

x=matrix(peopleAttributes,ncol=6,byrow=TRUE)

y=matrix(peopleId,ncol=19,byrow=TRUE)


adjust   = function(x,xmin,xmax) {(x-xmin)/(xmax-xmin)}

library(nnet)

# scaling (not necessary for y matrix)

x1min=min(x[,1])
x1max=max(x[,1])
x[,1]=adjust(x[,1],x1min,x1max)

x2min=min(x[,2])
x2max=max(x[,2])
x[,2]=adjust(x[,2],x2min,x2max)

x3min=min(x[,3])
x3max=max(x[,3])
x[,3]=adjust(x[,3],x3min,x3max)

x4min=min(x[,4])
x4max=max(x[,4])
x[,4]=adjust(x[,4],x4min,x4max)

x5min=min(x[,5])
x5max=max(x[,5])
x[,5]=adjust(x[,5],x5min,x5max)

x6min=min(x[,6])
x6max=max(x[,6])
x[,6]=adjust(x[,6],x6min,x6max)

#nnet
myNet=nnet(x=x, y=y, size=5, maxit=2000) #try other num. of hidden element5 

myNet
summary(myNet)
fit=myNet$fitted.values
formatC(fit, digits = 2)

sum(myNet$residuals**2)

#on the fly using a function
calc = function (x1,x2,x3,x4,x5,x6) {res=predict(myNet,c(adjust(x1,x1min,x1max),adjust(x2,x2min,x2max),
                     adjust(x3,x3min,x3max),adjust(x4,x4min,x4max),
                     adjust(x5,x5min,x5max),adjust(x6,x6min,x6max)));res}
                     
calc(72,1,1,1,2,1) #case 1
calc(27,1,1,1,1,1) #case 2

calc(22,2,1,2,2,2) #case 18
calc(23,2,1,1,2,1) #case 19
